package com.link.core.kafka.dynamickafka;

import java.util.List;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(
   prefix = "dynamickafka"
)
public class DynamicKafkaProps {
   private Boolean enable = false;
   private List<String> name;
   private List<String> producerServers;
   private List<String> consumerServers;

   public List<String> getName() {
      return this.name;
   }

   public void setName(List<String> name) {
      this.name = name;
   }

   public List<String> getProducerServers() {
      return this.producerServers;
   }

   public void setProducerServers(List<String> producerServers) {
      this.producerServers = producerServers;
   }

   public List<String> getConsumerServers() {
      return this.consumerServers;
   }

   public void setConsumerServers(List<String> consumerServers) {
      this.consumerServers = consumerServers;
   }

   public Boolean getEnable() {
      return this.enable;
   }

   public void setEnable(Boolean enable) {
      this.enable = enable;
   }
}
